glutSolidSphere(3GLUT)

NAME
glutSolidSphere, glutWireSphere - render a solid or wireframe sphere respectively.

SYNTAX

void glutSolidSphere(GLdouble radius,
                     GLint slices, GLint stacks);
void glutWireSphere(GLdouble radius,
                    GLint slices, GLint stacks);

ARGUMENTS

radius
    The radius of the sphere.

slices
    The number of subdivisions around the Z axis (similar to lines of longitude).

stacks
    The number of subdivisions along the Z axis (similar to lines of latitude).

DESCRIPTION
Renders a sphere centered at the modeling coordinates origin of the specified radius. The sphere is subdivided around the Z axis into slices and along the Z axis into stacks.

SEE ALSO
glutSolidCube, glutSolidCone, glutSolidTorus, glutSolidDodecahedron, glutSolidOctahedron, glutSolidTetrahedron, glutSolidIcosahedron, glutSolidTeapot

AUTHOR
Mark J. Kilgard (mjk@nvidia.com)